Name:           kleansweep
Version:        0.2.9
Release:        %mkrel 6
Epoch:          0
Summary:        Reclaim disk space by finding unneeded files
License:        GPLv2
Group:          System/Configuration/Other
URL:            http://linux.bydg.org/~yogin/
Source0:        http://linux.bydg.org/~yogin/kleansweep-%{version}.tar.bz2
Patch0:		kleansweep-0.2.9-fix-scons-chmod-error.patch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
BuildRequires:  imagemagick
BuildRequires:  kdebase3-devel
BuildRequires:  scons
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
KleanSweep allows you to reclaim disk space by finding unneeded files. 
It can search for files basing on several criterias; you can seek for:

    * empty files
    * backup files
    * broken symbolic links
    * dead menu entries (.desktop files pointing to non-existing 
      executables)
    * duplicated files
    * orphaned files (files not found in RPM database)
    * obsolete thumbnails (thumbnails conforming to freedesktop.org 
      standard, pointing to non-existing images

%prep
%setup -q
%patch0 -p1

%build
%configure_scons_kde3
%scons

%install
%{__rm} -rf %{buildroot}
%scons_install

%{_bindir}/desktop-file-install --vendor='' --delete-original  \
        --dir %{buildroot}%{_kde3_datadir}/applications \
        --add-category System                      \
        --add-category FileTools                   \
        %buildroot%_kde3_datadir/applnk/System/%{name}.desktop

%find_lang %name

%clean 
%{__rm} -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_desktop_database}
%update_kde3_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_kde3_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(0644,root,root,0755) 
%doc AUTHORS ChangeLog COPYING INSTALL README THANKS TODO 
%attr(0755,root,root) %{_kde3_bindir}/%{name}
%attr(0755,root,root) %{_kde3_bindir}/%{name}-helper
%{_kde3_datadir}/apps/%{name}
%{_kde3_datadir}/applications/*.desktop
%{_kde3_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Aug 11 2008 Funda Wang <fundawang@mandriva.org> 0:0.2.9-6mdv2009.0
+ Revision: 270948
- switch to /opt
- add patch to fix installing

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 0:0.2.9-4mdv2008.1
+ Revision: 107405
- rebuild
- use freedesktop menus
- remove old debian menu and icons
- use %%{qt3dir} macro

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Tue Nov 07 2006 David Walluck <walluck@mandriva.org> 0.2.9-3mdv2007.0
+ Revision: 77056
- set QTDIR
- BuildRequires: qt3-devel
- 0.2.9
- Import kleansweep

* Fri Aug 25 2006 David Walluck <walluck@mandriva.org> 0:0.2.8-4mdv2007.0
- fix stray quote in menu

* Fri Aug 25 2006 David Walluck <walluck@mandriva.org> 0:0.2.8-3mdv2007.0
- add xdg menu
- clean %%{buildroot} in %%install

* Fri May 26 2006 Giuseppe Ghib <ghibo@mandriva.org> 0.2.8-2mdk
- Don't set QTDIR (needed for building under X86-64).

* Fri May 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.8-1mdk
- New release 0.2.8

* Mon Mar 20 2006 Lenny Cartier <lenny@mandriva.com> 0:0.2.7-1mdk
- 0.2.7

* Thu Mar 02 2006 David Walluck <walluck@mandriva.org> 0:0.2.6-1mdk
- 0.2.6

* Mon Feb 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.5-1mdk
- New release 0.2.5

* Thu Jan 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0:0.2.4-1mdk
- New release 0.2.4

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-3mdk
- Remove redundant buildRequires

* Wed Dec 21 2005 David Walluck <walluck@mandriva.org> 0:0.2.3-2mdk
- fix build on x86_64

* Mon Dec 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Sun Dec 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.2-1mdk
- New release 0.2.2

* Tue Nov 15 2005 Lenny Cartier <lenny@mandriva.com> 0:0.2.1-1mdk
- 0.2.1

* Tue Nov 01 2005 David Walluck <walluck@mandriva.org> 0:0.2.0-1mdk
- release

